Package org.eclipse.net4j.util.collection

## Class MultiMap<K,​V>

- java.lang.Object
- - org.eclipse.net4j.util.collection.MultiMap<K,​V>

- All Implemented Interfaces:
    `java.util.Map<K,​V>`
  Direct Known Subclasses:
    `MultiMap.ListBased`

      public abstract class MultiMap<K,​V>
      extends java.lang.Object
      implements java.util.Map<K,​V>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MultiMap.ListBased<K,​V>` |

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultiMap()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `boolean` | `containsKey​(java.lang.Object key)` |
    `protected boolean` | `containsKey​(java.lang.Object key, int delegateCount)` |
    `boolean` | `containsValue​(java.lang.Object value)` |
    `protected abstract java.util.Map<K,​V>` | `doGetDelegate​(int index)` |
    `java.util.Set<java.util.Map.Entry<K,​V>>` | `entrySet()` |
    `V` | `get​(java.lang.Object key)` |
    `java.util.Map<K,​V>` | `getDelegate​(int index)` |
    `abstract int` | `getDelegateCount()` |
    `boolean` | `isEmpty()` |
    `java.util.Set<K>` | `keySet()` |
    `V` | `put​(K key, V value)` |
    `void` | `putAll​(java.util.Map<? extends K,​? extends V> t)` |
    `V` | `remove​(java.lang.Object key)` |
    `int` | `size()` |
    `java.util.Collection<V>` | `values()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Constructor Detail

    - #### MultiMap

          public MultiMap()

  - ### Method Detail

    - #### getDelegateCount

          public abstract int getDelegateCount()

    - #### getDelegate

          public java.util.Map<K,​V> getDelegate​(int index)

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<K,​V>`
      Category
        WRITE

    - #### put

          public V put​(K key,
                       V value)

      Specified by:
        `put` in interface `java.util.Map<K,​V>`
      Category
        WRITE

    - #### putAll

          public void putAll​(java.util.Map<? extends K,​? extends V> t)

      Specified by:
        `putAll` in interface `java.util.Map<K,​V>`
      Category
        WRITE

    - #### remove

          public V remove​(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map<K,​V>`
      Category
        WRITE

    - #### containsKey

          public boolean containsKey​(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<K,​V>`
      Category
        READ

    - #### containsValue

          public boolean containsValue​(java.lang.Object value)

      Specified by:
        `containsValue` in interface `java.util.Map<K,​V>`
      Category
        READ

    - #### get

          public V get​(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<K,​V>`
      Category
        READ

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<K,​V>`
      Category
        READ

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map<K,​V>`
      Category
        READ

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<K,​V>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<K,​V>`

    - #### keySet

          public java.util.Set<K> keySet()

      Specified by:
        `keySet` in interface `java.util.Map<K,​V>`

    - #### values

          public java.util.Collection<V> values()

      Specified by:
        `values` in interface `java.util.Map<K,​V>`

    - #### containsKey

          protected boolean containsKey​(java.lang.Object key,
                                        int delegateCount)

    - #### doGetDelegate

          protected abstract java.util.Map<K,​V> doGetDelegate​(int index)